# Get a authn key to start an authentication flow (deprecated)

Endpoint: GET /sslprotected/{environment_name}/getKey
Version: 26.0.0
Security: sslCertificate

## Security:

  - `sslCertificate` (unknown)
    apiKey in header X-SSL-Client-Cert

## Path parameters:

  - `environment_name` (string, required)
    The integration name provided to the customer

## Query parameters:

  - `level` (integer)
    Authentication level. Accepted values: 1, 2, 3.

  - `attributes` (string, required)
    Attribute set to request. Accepted values: `Base`, `Full`.

  - `spidType` (string)
    SPID SAML Purpose value. Applies to SPID authentication only.

## Response 200:

  - `200` (unknown)
    The authn key

## Response 400:

  - `400` (unknown)
    The input parameters are missing or invalid

## Response 403:

  - `403` (unknown)
    The SSL certificate is missing or invalid

